## org.apache.lucene.analysis.cn.smart.hhmm
Class SegToken

    java.lang.Object
      org.apache.lucene.analysis.cn.smart.hhmm.SegToken

    public class SegToken

extends java.lang.Object

SmartChineseAnalyzer internal token

WARNING: The status of the analyzers/smartcn analysis.cn.smart package is experimental. The APIs and file formats introduced here might change in the future and will not be supported anymore in such a case.

Field Summary
`char[]` `charArray` Character array containing token text
`int` `endOffset` end offset into `charArray`
`int` `index` during segmentation, this is used to store the index of the token in the token list table
`int` `startOffset` start offset into `charArray`
`int` `weight` word frequency
`int` `wordType` `WordType` of the text

Constructor Summary
`SegToken(char[] idArray, int start, int end, int wordType, int weight)` Create a new SegToken from a character array.

Method Summary
`boolean` `equals(java.lang.Object obj)`
`int` `hashCode()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### charArray

    public char[] charArray

  Character array containing token text

### startOffset

    public int startOffset

  start offset into `charArray`

### endOffset

    public int endOffset

  end offset into `charArray`

### wordType

    public int wordType

  `WordType` of the text

### weight

    public int weight

  word frequency

### index

    public int index

  during segmentation, this is used to store the index of the token in the token list table

Constructor Detail

### SegToken

    public SegToken(char[] idArray,
                    int start,
                    int end,
                    int wordType,
                    int weight)

  Create a new SegToken from a character array.

  Parameters:
    `idArray` - character array containing text
    `start` - start offset into idArray
    `end` - end offset of idArray
    `wordType` - `WordType` of the text
    `weight` - word frequency

Method Detail

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`
  See Also:
    `Object.hashCode()`

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `java.lang.Object`
  See Also:
    `Object.equals(java.lang.Object)`

Copyright © 2000-2011 Apache Software Foundation. All Rights Reserved.